
# Please read "INSTALL.txt" before modifying these values.

CC = gcc
AR = ar
CFLAGS = -Wall -Wextra

INSTALL_PREFIX = $(HOME)/opt/fizmo-0.6.0

DEFAULT_PREFIX = /opt/local
DEFAULT_LIB_PREFIX = $(DEFAULT_PREFIX)/lib
DEFAULT_INC_PREFIX = $(DEFAULT_PREFIX)/include

# Use Mac OS' own libxml:
LIBXML2_INC_DIR = /usr/include/libxml2
LIBXML2_LIB_DIR = /usr/lib
#DISABLE_LIBXML2 = 1

NCURSESW_INC_DIR = $(DEFAULT_INC_PREFIX)
NCURSESW_LIB_DIR = $(DEFAULT_LIB_PREFIX)
#NCURSESW_INC_DIR = $(HOME)/opt/ncurses/include
#NCURSESW_LIB_DIR = $(HOME)/opt/ncurses/lib

# These paths have to be set in order to display X11 iamges in ncursesw:
#X11_LIB_DIR = /usr/X11/lib
#GLIB_CONFIG_INC_DIR = $(DEFAULT_LIB_PREFIX)/glib-2.0/include
#GDK_CONFIG_INC_DIR = $(DEFAULT_LIB_PREFIX)/gtk-2.0/include
#GLIB_INC_DIR = $(DEFAULT_INC_PREFIX)/glib-2.0
#GTK_INC_DIR = $(DEFAULT_INC_PREFIX)/gtk-2.0
#CAIRO_INC_DIR = $(DEFAULT_INC_PREFIX)/cairo
#PANGO_INC_DIR = $(DEFAULT_INC_PREFIX)/pango-1.0
#ATK_INC_DIR = $(DEFAULT_INC_PREFIX)/atk-1.0
#GDK_PIXBUF_LIB_DIR = $(DEFAULT_LIB_PREFIX)

# Uncomment the following line and set the SDL_* and SNDFILE_* variables
#to build an SDL-based sound-interface:
FIZMO_SOUND_INTERFACE = sound-sdl

# Use Macports SDL library
SDL_INC_DIR = /opt/local/include
SDL_LIB_DIR = /opt/local/lib

# Use Macports libsndfile
SNDFILE_INC_DIR = /opt/local/include
SNDFILE_LIB_DIR = /opt/local/lib

#DISABLE_BLOCKBUFFER = 1
#DISABLE_COMMAND_HISTORY = 1
#DISABLE_OUTPUT_HISTORY = 1

ENABLE_OPTIMIZATION = 1
#ENABLE_TRACING = 1
#ENABLE_STRICT_Z = 1
#ENABLE_GDB_SYMBOLS = 1
#ENABLE_X11_IMAGES = 1
#THROW_SIGFAULT_ON_ERROR = 1

